package si.mojeznanje.kriptovalute;

import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import java.util.List;

public class CryptoAdapter extends RecyclerView.Adapter<CryptoViewHolder> {

    private List<CryptoCurrency> items;
    private CryptoClickListener listener;

    public CryptoAdapter(List<CryptoCurrency> items, CryptoClickListener listener) {
        this.items = items;
        this.listener = listener;
    }

    @Override
    public CryptoViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        LayoutInflater inflater = LayoutInflater.from(parent.getContext());
        View view = inflater.inflate(R.layout.item_crypto, parent, false);
        CryptoViewHolder viewHolder = new CryptoViewHolder(view);
        return viewHolder;
    }

    @Override
    public void onBindViewHolder(CryptoViewHolder holder, final int position) {
        final CryptoCurrency cryptoCurrency = items.get(position);
        holder.bind(cryptoCurrency);
        holder.itemView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                listener.onCryptoClicked(cryptoCurrency);
            }
        });
    }

    @Override
    public int getItemCount() {
        return items.size();
    }

    public interface CryptoClickListener{
        void onCryptoClicked(CryptoCurrency cryptoCurrency);
    }
}
