package si.mojeznanje.kriptovalute;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.DividerItemDecoration;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.Log;

import java.util.ArrayList;
import java.util.List;

public class MainActivity extends AppCompatActivity implements CryptoAdapter.CryptoClickListener {

    private RecyclerView recyclerView;
    private List<CryptoCurrency> items;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        createItems();

        recyclerView = findViewById(R.id.recyclerView);
        recyclerView.setLayoutManager(new LinearLayoutManager(this));
        recyclerView.addItemDecoration(new DividerItemDecoration(  this, LinearLayoutManager.VERTICAL));
        recyclerView.setAdapter(new CryptoAdapter(items, this));
    }

    private void createItems(){
        items = new ArrayList<>();
        items.add(new CryptoCurrency("Bitcoin", "BTC", 10000.0));
        items.add(new CryptoCurrency("Ethereum", "ETH", 800.0));
        items.add(new CryptoCurrency("Ripple", "XRP", 1.02));
    }

    @Override
    public void onCryptoClicked(CryptoCurrency cryptoCurrency) {
        Log.e("POLJUBEN_TEKST", cryptoCurrency.getName());

        Intent intent = new Intent(this, DetailActivity.class);
        intent.putExtra("name", cryptoCurrency.getName());
        startActivity(intent);
    }
}